﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using System.Threading;
using Infragistics.Windows.Editors;
using Infragistics.Windows.Ribbon;
using System.Text.RegularExpressions;
using System.Diagnostics;
using Infragistics.Windows.Helpers;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System.Windows.Threading;
using Infragistics.Windows.Tiles;
using System.ComponentModel;
using Infragistics.Windows.DockManager;

namespace WpfApplication16
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}
	}

	public class CustomPaneTabHeaderSelector : DataTemplateSelector
	{
		private static readonly DataTemplate _emptyTemplate;

		static CustomPaneTabHeaderSelector()
		{
			_emptyTemplate = new DataTemplate();
			_emptyTemplate.Seal();
		}

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			FrameworkElement fe = container as FrameworkElement;

			if (fe is PaneTabItem || fe != null && fe.TemplatedParent is PaneTabItem)
			{
				// this will affect all tabs including when the pane is in a tabgrouppane.
				// if you wanted to selectively do this - e.g. just for the unpinned tab 
				// then you could check the PaneLocation of the element.
				//if (XamDockManager.GetPaneLocation(fe) == PaneLocation.Unpinned)

				// the default ControlTemplate for the PaneTabItem shows the Image so 
				// all we need to do to suppress the text from showing is to not 
				// show the header. an empty datatemplate would do that
				return _emptyTemplate;
			}

			// let the default template be used
			return null;
		}
	}
}
